
Figure - Bug #114235
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113425 (New): V4.0专项--BSP专项--压测

【BSP】【EVT1】【压测】【Tlog】tlog在收集完日志后点击stop，然后马上上滑进入主界面（让tlog进入后台
），等待5分钟后，仍然没有生成日志
2022-12-01 11:47 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2022-12-01

Priority: High Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: BSP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: -- Found Version: 01.00.0053.X101

Resolution: FIXED Degrated: No

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version: 2022-12-09

Test Type: ST Root cause: 因为日志收集完成，整个打包过程时长为5 分钟左右，当页面退到后台，并且设备进入屏保模式后，导致日志收集页面被系统杀掉，日志打包任务停止，所以日志没有成功生成。

Description

【前提条件】

None

【测试步骤】

1、设备烧机后，进入主界面

2、通过*#147#打开tlog，勾选Android和bugreprot日志

3、上滑进入主界面，等待3分钟

4、再次通过*#147#打开tlog，点击stop

5、在step4后再次上滑进入主界面，等待5分钟（进入屏保模式）

6、唤醒屏幕查看日志生成情况

停止计时：目标图片显示

【预期结果】

日志生成正常生成

【实际结果】

没有tlog日志生成

History

#1 - 2022-12-01 15:33 - 移动测试一组_CDTS 刘强

移动测试一组_CDTS 刘强 wrote:

【前提条件】

None

【测试步骤】

1、设备烧机后，进入主界面

2、通过*#147#打开tlog，勾选Android和bugreprot日志

3、上滑进入主界面，等待3分钟

4、再次通过*#147#打开tlog，点击stop

5、在step4后再次上滑进入主界面，等待5分钟（进入屏保模式）

6、唤醒屏幕查看日志生成情况
【预期结果】

日志生成正常生成

【实际结果】

没有tlog日志生成

#2 - 2022-12-01 16:19 - CDTS_TEST 刘勇

测试补充信息：EVT2-VC1复测第二次时，出现第一次的Tlog如附件：Tlog-Second_out_FristLog.jpg

#3 - 2022-12-01 16:19 - CDTS_TEST 刘勇

- File Tlog-Second_out_FristLog.jpg added

#4 - 2022-12-07 14:05 - CD SYSTEM-夏旭

- Assignee changed from CD BSP-唐金泽 to CD SYSTEM-夏旭

#5 - 2022-12-08 11:27 - CDTS-TEST 周婷

- Target version set to VX1_MCE_FSE_V5.0_20221230

#6 - 2022-12-09 14:19 - CD SYSTEM-夏旭

- Assignee changed from CD SYSTEM-夏旭 to CD FW-廖涛

点击stop之后，回到主界面，tlog进入后台，过一段时间进入屏保，save_log进程就会被杀掉

#7 - 2022-12-09 17:57 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

168988 general/platform/vendor/thundercom

m/apps/LogSystem

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:LogSystem: Fix zip process has been kill when entry screensaver.TC-RID: 1201-0201101IssueID: TS-R-BUG-114235Change-Id:

I4aa73905369e4c1cb9a0324cfc5da4e40afeddd8

#8 - 2022-12-09 18:00 - CD FW-廖涛

- Assignee changed from CD FW-廖涛 to 移动测试一组_CDTS 刘强

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2022-12-09

■ Current conclusion

已处理，提交为：https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/LogSystem/+/168988

■ My analysis

分析原因是因为日志收集完成，整个打包过程时长为5 分钟左右，当页面退到后台，并且设备进入屏保模式后，导致日志收集页面被系统杀掉，日志打
包任务停止，所以日志没有成功生成。

■ Next action

测试验证。

#9 - 2022-12-09 18:53 - CD FW-廖涛

- % Done changed from 0 to 100

#10 - 2022-12-12 09:55 - CD FW-廖涛

- Status changed from New to RESOLVED

#11 - 2022-12-12 15:51 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.202212100313

验证结果：验证通过

#12 - 2022-12-12 15:52 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

#13 - 2022-12-21 16:08 - CD FW-廖涛

- Root cause set to 因为日志收集完成，整个打包过程时长为5 分钟左右，当页面退到后台，并且设备进入屏保模式后，导致日志收集页面被系统杀掉，日

志打包任务停止，所以日志没有成功生成。

Files

2.txt 6.1 MB 2022-12-01 移动测试一组_CDTS 刘强

Tlog-Second_out_FristLog.jpg 116 KB 2022-12-01 CDTS_TEST 刘勇
